import 'babel-polyfill';
import tail from '../index';
import { assert } from 'chai'

describe('simple-tail', () => {

    it('Tail last 5 lines', async () => {
        const result = await tail('./lib/test/sample.txt', 5);

        const expected = [
            'Hello number 9996',
            'Hello number 9997',
            'Hello number 9998',
            'Hello number 9999',
            'Hello number 10000'
        ].reverse();
        assert.equal(result[0],expected[0])
        assert.equal(result[1],expected[1])
        assert.equal(result[2],expected[2])
        assert.equal(result[3],expected[3])
        assert.equal(result[4],expected[4])
    });

    it('Tail wrong file', async () => {
        try {
            const result = await tail('fake', 5);
        } catch (error) {
            assert.equal(error.code, 'ENOENT')
        }
    });
});